function ret_val = createCsfWriterGigeInterface(file_location, gige_interface)
  % createCsfWriterGigeInterface
  %   Create csf writer from the GigE interface
  %
  % Inputs:
  %   file_location - string - Path to where the csf file should be created
  %   gige_interface - GigeInterface - A GigE interface
  %
  % Output:
  %   ret_val - CsfWriter - csf writer
  %

  ret_val = tof.mex('tof_create_csf_writer_gige_interface', file_location, gige_interface.get_object_ptr());
  ret_val = tof.CsfWriter(ret_val);
end

