%% Example of how to generate dual configuration

cam = tof.KeaCamera(tof.ProcessingConfig(), '202001a');

config = cam.getCameraConfig();

while config.frameSize() > 0
    config.eraseFrame(0);
end

% For mixed pixel you would have [35 70] or [50 100]
mod_freq = [80 100];

for i = 0:1
    config.addFrame();

    % Phase shifts for harmonic cancellation
    config.setPhaseShifts(i, [0 0.25 0.375 0.625]);

    % Duty cycly for harmonic cancellation
    config.setDutyCycle(i, 0.4);

    % You can also set 8 phase shifts
    % config.setPhaseShifts(i, [0 0.125 0.25 0.375 0.5 0.625 0.75 0.875]);
    % config.setDutyCycle(i, 0.5);

    config.setIntegrationTime(i, [750 750 750 750]);
    % For the mlx75027 you can set individual integration times for hdr
    % config.setIntegrationTime(i, [250 250 250 250 1000 1000 1000 1000]);

    config.setModulationFrequency(i, mod_freq(i + 1));
end

% Upload configuration to camera
cam.setCameraConfig(config);

print_configuration(config);
