# This example shows how to convert a z frame into a png file

import chronoptics.tof as tof
from PIL import Image
import numpy as np

proc_config = tof.ProcessingConfig()
# Make sure to use a good processing config, either load it from disk or manually set it here
proc_config.setPhaseUnwrappingEnabled(True)

cam = tof.KeaCamera(proc_config, "202001a")

tof.selectStreams(cam, [tof.FrameType.Z])
cam.start()

for i in range(100):
    frames = cam.getFrames()

    array = np.asarray(frames[0])

    # Round floating point values and convert to 16 bit
    rounded = np.around(array)

    output = rounded.astype("uint16")

    im = Image.fromarray(output)
    im.save(f"your_file_{i}.png")

    del frames
